## ros-humble-steering-controllers-library 2.24.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)
project(steering_controllers_library LANGUAGES CXX)

if(CMAKE_CXX_COMPILER_ID MATCHES "(GNU|Clang)")
  add_compile_options(-Wall -Wextra -Wpedantic)
endif()

# find dependencies
set(THIS_PACKAGE_INCLUDE_DEPENDS
  control_msgs
  controller_interface
  generate_parameter_library
  geometry_msgs
  hardware_interface
  nav_msgs
  pluginlib
  rclcpp
  rclcpp_lifecycle
  realtime_tools
  std_srvs
  tf2
  tf2_msgs
  tf2_geometry_msgs
  ackermann_msgs
)

find_package(ament_cmake REQUIRED)
find_package(backward_ros REQUIRED)
foreach(Dependency IN ITEMS ${THIS_PACKAGE_INCLUDE_DEPENDS})
  find_package(${Dependency} REQUIRED)
endforeach()

generate_parameter_library(steering_controllers_library_parameters
  src/steering_controllers_library.yaml
)

add_library(
  steering_controllers_library
  SHARED
  src/steering_controllers_library.cpp
  src/steering_odometry.cpp
)
target_compile_features(steering_controllers_library PUBLIC cxx_std_17)
target_include_directories(steering_controllers_library PUBLIC
  "$<BUILD_INTERFACE:${PROJECT_SOURCE_DIR}/include>"
  "$<INSTALL_INTERFACE:include/steering_controllers_library>")
target_link_libraries(steering_controllers_library PUBLIC
  steering_controllers_library_parameters)
ament_target_dependencies(steering_controllers_library PUBLIC ${THIS_PACKAGE_INCLUDE_DEPENDS})

# Causes the visibility macros to use dllexport rather than dllimport,
# which is appropriate when building the dll but not consuming it.
target_compile_definitions(steering_controllers_library PRIVATE "STEERING_CONTROLLERS_BUILDING_DLL")

if(BUILD_TESTING)
  find_package(ament_cmake_gmock REQUIRED)
  find_package(controller_manager REQUIRED)
  find_package(ros2_control_test_assets REQUIRED)

  add_rostest_with_parameters_gmock(
    test_steering_controllers_library test/test_steering_controllers_library.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/test/steering_controllers_library_params.yaml)
  target_include_directories(test_steering_controllers_library PRIVATE include)
  target_link_libraries(test_steering_controllers_library steering_controllers_library)
  ament_target_dependencies(
    test_steering_controllers_library
    controller_interface
    hardware_interface
  )
endif()

install(
  DIRECTORY include/
  DESTINATION include/steering_controllers_library
)

install(
  TARGETS steering_controllers_library steering_controllers_library_parameters
  EXPORT export_steering_controllers_library
  RUNTIME DESTINATION bin
  ARCHIVE DESTINATION lib
  LIBRARY DESTINATION lib
)

ament_export_targets(export_steering_controllers_library HAS_LIBRARY_TARGET)
ament_export_dependencies(${THIS_PACKAGE_INCLUDE_DEPENDS})
ament_package()

=== debian/changelog ===
ros-humble-steering-controllers-library (2.24.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 06 Aug 2023 23:00:00 -0000

ros-humble-steering-controllers-library (2.23.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 22 Jun 2023 23:00:00 -0000

ros-humble-steering-controllers-library (2.22.0-1jammy) jammy; urgency=high

  * Bump versions for release
  * Let sphinx add parameter description to documentation (backport #651 <https://github.com/ros-controls/ros2_controllers/issues/651>) (#663 <https://github.com/ros-controls/ros2_controllers/issues/663>)
  * Second round of dependencies fix (#655 <https://github.com/ros-controls/ros2_controllers/issues/655>) (#656 <https://github.com/ros-controls/ros2_controllers/issues/656>)
  * Fix sphinx for steering odometry library/controllers (#626 <https://github.com/ros-controls/ros2_controllers/issues/626>) (#661 <https://github.com/ros-controls/ros2_controllers/issues/661>)
  * Remove unnecessary include (backport #645 <https://github.com/ros-controls/ros2_controllers/issues/645>) (#646 <https://github.com/ros-controls/ros2_controllers/issues/646>)
  * Steering odometry library and controllers (backport #484 <https://github.com/ros-controls/ros2_controllers/issues/484>) (#624 <https://github.com/ros-controls/ros2_controllers/issues/624>)
  * Contributors: Bence Magyar, Christoph Fröhlich, Tomislav Petković, Reza Kermani, Denis Štogl

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 13 Jun 2023 23:00:00 -0000

ros-humble-steering-controllers-library (2.21.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 27 May 2023 23:00:00 -0000

ros-humble-steering-controllers-library (2.20.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 13 May 2023 23:00:00 -0000

ros-humble-steering-controllers-library (2.19.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 01 May 2023 23:00:00 -0000

ros-humble-steering-controllers-library (2.18.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 28 Apr 2023 23:00:00 -0000

ros-humble-steering-controllers-library (2.17.3-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 13 Apr 2023 23:00:00 -0000

ros-humble-steering-controllers-library (2.17.2-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 07 Mar 2023 00:00:00 -0000

ros-humble-steering-controllers-library (2.17.1-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 20 Feb 2023 00:00:00 -0000

ros-humble-steering-controllers-library (2.17.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 13 Feb 2023 00:00:00 -0000

ros-humble-steering-controllers-library (2.16.1-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 31 Jan 2023 00:00:00 -0000

ros-humble-steering-controllers-library (2.16.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 19 Jan 2023 00:00:00 -0000

ros-humble-steering-controllers-library (2.15.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 06 Dec 2022 00:00:00 -0000

ros-humble-steering-controllers-library (2.14.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 18 Nov 2022 00:00:00 -0000

ros-humble-steering-controllers-library (2.13.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 04 Oct 2022 23:00:00 -0000

ros-humble-steering-controllers-library (2.12.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 31 Aug 2022 23:00:00 -0000

ros-humble-steering-controllers-library (2.11.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 03 Aug 2022 23:00:00 -0000

ros-humble-steering-controllers-library (2.10.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 31 Jul 2022 23:00:00 -0000

ros-humble-steering-controllers-library (2.9.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 13 Jul 2022 23:00:00 -0000

ros-humble-steering-controllers-library (2.8.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 08 Jul 2022 23:00:00 -0000

ros-humble-steering-controllers-library (2.7.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 02 Jul 2022 23:00:00 -0000

ros-humble-steering-controllers-library (2.6.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 17 Jun 2022 23:00:00 -0000

ros-humble-steering-controllers-library (2.5.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 12 May 2022 23:00:00 -0000

ros-humble-steering-controllers-library (2.4.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 28 Apr 2022 23:00:00 -0000

ros-humble-steering-controllers-library (2.3.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 20 Apr 2022 23:00:00 -0000

ros-humble-steering-controllers-library (2.2.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 25 Mar 2022 00:00:00 -0000

ros-humble-steering-controllers-library (2.1.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 23 Feb 2022 00:00:00 -0000

ros-humble-steering-controllers-library (2.0.1-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 01 Feb 2022 00:00:00 -0000

ros-humble-steering-controllers-library (2.0.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 28 Jan 2022 00:00:00 -0000



=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/humble/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/humble" \
		-DAMENT_PREFIX_PATH="/opt/ros/humble" \
		-DCMAKE_PREFIX_PATH="/opt/ros/humble" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-steering-controllers-library//opt/ros/humble/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_install

## ros-humble-steering-controllers-library 2.37.0

=== debian/changelog ===
ros-humble-steering-controllers-library (2.37.0-1bookworm) bookworm; urgency=high

  * Fix WaitSet issue in tests  (backport #1206 <https://github.com/ros-controls/ros2_controllers/issues/1206>) (#1211 <https://github.com/ros-controls/ros2_controllers/issues/1211>)
  * Fix steering controllers library kinematics (#1150 <https://github.com/ros-controls/ros2_controllers/issues/1150>) (#1194 <https://github.com/ros-controls/ros2_controllers/issues/1194>)
  * Contributors: mergify[bot]

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 23 Jul 2024 16:00:00 -0000

ros-humble-steering-controllers-library (2.36.0-1bookworm) bookworm; urgency=high

  * [Steering controllers library] Reference interfaces are body twist (#1168 <https://github.com/ros-controls/ros2_controllers/issues/1168>) (#1173 <https://github.com/ros-controls/ros2_controllers/issues/1173>)
  * [STEERING] Add missing tan call for ackermann (#1117 <https://github.com/ros-controls/ros2_controllers/issues/1117>) (#1176 <https://github.com/ros-controls/ros2_controllers/issues/1176>)
  * Fix steering controllers library code documentation and naming (#1149 <https://github.com/ros-controls/ros2_controllers/issues/1149>) (#1164 <https://github.com/ros-controls/ros2_controllers/issues/1164>)
  * Add mobile robot kinematics 101 and improve steering library docs (#954 <https://github.com/ros-controls/ros2_controllers/issues/954>) (#1160 <https://github.com/ros-controls/ros2_controllers/issues/1160>)
  * Fix correct usage of angular velocity in update_odometry() function (#1118 <https://github.com/ros-controls/ros2_controllers/issues/1118>) (#1153 <https://github.com/ros-controls/ros2_controllers/issues/1153>)
  * Contributors: mergify[bot]

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 08 Jul 2024 16:00:00 -0000

ros-humble-steering-controllers-library (2.35.0-1bookworm) bookworm; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 21 May 2024 16:00:00 -0000

ros-humble-steering-controllers-library (2.34.0-1bookworm) bookworm; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 31 Mar 2024 16:00:00 -0000

ros-humble-steering-controllers-library (2.33.0-1bookworm) bookworm; urgency=high

  * Fix usage of M_PI on Windows (#1036 <https://github.com/ros-controls/ros2_controllers/issues/1036>) (#1037 <https://github.com/ros-controls/ros2_controllers/issues/1037>)
  * Add tests for interface_configuration_type consistently (#899 <https://github.com/ros-controls/ros2_controllers/issues/899>) (#1011 <https://github.com/ros-controls/ros2_controllers/issues/1011>)
  * Contributors: mergify[bot]

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 11 Feb 2024 16:00:00 -0000

ros-humble-steering-controllers-library (2.32.0-1bookworm) bookworm; urgency=high

  * Update ci-ros-lint.yml and copyright format (backport #720 <https://github.com/ros-controls/ros2_controllers/issues/720>) (#918 <https://github.com/ros-controls/ros2_controllers/issues/918>)
  * Contributors: mergify[bot]

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 19 Jan 2024 16:00:00 -0000

ros-humble-steering-controllers-library (2.31.0-1bookworm) bookworm; urgency=high

  * Fix ackermann steering odometry (#921 <https://github.com/ros-controls/ros2_controllers/issues/921>) (#955 <https://github.com/ros-controls/ros2_controllers/issues/955>)
  * Contributors: mergify[bot]

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 10 Jan 2024 16:00:00 -0000

ros-humble-steering-controllers-library (2.30.0-1bookworm) bookworm; urgency=high

  * Changing default int values to double in steering controller's yaml file (#927 <https://github.com/ros-controls/ros2_controllers/issues/927>) (#928 <https://github.com/ros-controls/ros2_controllers/issues/928>)
  * Contributors: mergify[bot]

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 19 Dec 2023 16:00:00 -0000

ros-humble-steering-controllers-library (2.29.0-1bookworm) bookworm; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 04 Dec 2023 16:00:00 -0000

ros-humble-steering-controllers-library (2.28.0-1bookworm) bookworm; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 29 Nov 2023 16:00:00 -0000

ros-humble-steering-controllers-library (2.27.0-1bookworm) bookworm; urgency=high

  * Steering controllers library: fix open loop mode (#793 <https://github.com/ros-controls/ros2_controllers/issues/793>) (#800 <https://github.com/ros-controls/ros2_controllers/issues/800>)
  * Improve docs (#785 <https://github.com/ros-controls/ros2_controllers/issues/785>) (#786 <https://github.com/ros-controls/ros2_controllers/issues/786>)
  * Contributors: mergify[bot]

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 13 Nov 2023 16:00:00 -0000

ros-humble-steering-controllers-library (2.26.0-1bookworm) bookworm; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 02 Oct 2023 16:00:00 -0000

ros-humble-steering-controllers-library (2.25.0-1bookworm) bookworm; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 14 Sep 2023 16:00:00 -0000

ros-humble-steering-controllers-library (2.24.0-1bookworm) bookworm; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 06 Aug 2023 16:00:00 -0000

ros-humble-steering-controllers-library (2.23.0-1bookworm) bookworm; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 22 Jun 2023 16:00:00 -0000

ros-humble-steering-controllers-library (2.22.0-1bookworm) bookworm; urgency=high

  * Bump versions for release
  * Let sphinx add parameter description to documentation (backport #651 <https://github.com/ros-controls/ros2_controllers/issues/651>) (#663 <https://github.com/ros-controls/ros2_controllers/issues/663>)
  * Second round of dependencies fix (#655 <https://github.com/ros-controls/ros2_controllers/issues/655>) (#656 <https://github.com/ros-controls/ros2_controllers/issues/656>)


=== debian/control ===
Source: ros-humble-steering-controllers-library
Section: misc
Priority: optional
Maintainer: Bence Magyar <bence.magyar.robotics@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-humble-ackermann-msgs, ros-humble-ament-cmake, ros-humble-ament-cmake-gmock <!nocheck>, ros-humble-backward-ros, ros-humble-control-msgs, ros-humble-controller-interface, ros-humble-controller-manager <!nocheck>, ros-humble-generate-parameter-library, ros-humble-geometry-msgs, ros-humble-hardware-interface, ros-humble-nav-msgs, ros-humble-pluginlib, ros-humble-rclcpp, ros-humble-rclcpp-lifecycle, ros-humble-rcpputils, ros-humble-realtime-tools, ros-humble-ros2-control-test-assets <!nocheck>, ros-humble-std-srvs, ros-humble-tf2, ros-humble-tf2-geometry-msgs, ros-humble-tf2-msgs, ros-humble-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-humble-steering-controllers-library
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-humble-ackermann-msgs, ros-humble-backward-ros, ros-humble-control-msgs, ros-humble-controller-interface, ros-humble-geometry-msgs, ros-humble-hardware-interface, ros-humble-nav-msgs, ros-humble-pluginlib, ros-humble-rclcpp, ros-humble-rclcpp-lifecycle, ros-humble-rcpputils, ros-humble-realtime-tools, ros-humble-std-srvs, ros-humble-tf2, ros-humble-tf2-geometry-msgs, ros-humble-tf2-msgs, ros-humble-ros-workspace
Description: Package for steering robot configurations including odometry and interfaces.

=== debian/rules ===
--- 
+++ 
@@ -57,7 +57,7 @@
 	# in the install tree and source it.  It will set things like
 	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
 	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
-	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-steering-controllers-library//opt/ros/humble/lib/
+	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-steering-controllers-library//opt/ros/humble/lib/:$(CURDIR)/debian/ros-humble-steering-controllers-library//opt/ros/humble/opt/steering_controllers_library/lib/
 
 override_dh_auto_install:
 	# In case we're installing to a non-standard location, look for a setup.sh
